## python-vmware-nsxlib 0.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0

enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
tenacity>=3.1.1 # Apache-2.0
six>=1.9.0 # MIT
neutron-lib>=0.4.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.17.0 # Apache-2.0

## python-vmware-nsxlib 0.7.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0

enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
tenacity>=3.2.1 # Apache-2.0
six>=1.9.0 # MIT
neutron-lib>=1.2.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
pyOpenSSL>=0.14 # Apache-2.0

=== debian/changelog ===
python-vmware-nsxlib (0.7.3-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 09 Mar 2017 17:36:48 +0000

python-vmware-nsxlib (0.7.3-0ubuntu1) zesty; urgency=medium

  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Thu, 09 Mar 2017 15:48:49 +0000

python-vmware-nsxlib (0.7.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Add watch file. 
  * New upstream release.
  * d/control: Adjust dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Feb 2017 08:54:28 -0500

python-vmware-nsxlib (0.2.0-0ubuntu3) zesty; urgency=medium

  * debian/rules: Install the python files correctly. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 25 Nov 2016 09:36:43 -0500

python-vmware-nsxlib (0.2.0-0ubuntu2) zesty; urgency=medium

  * debian/control: Fix package installation. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 23 Nov 2016 09:07:39 -0500

python-vmware-nsxlib (0.2.0-0ubuntu1) zesty; urgency=medium

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 08 Nov 2016 13:23:13 -0500

=== debian/control ===
Source: python-vmware-nsxlib
Section: python
Priority: optional
Maintainer: chuck <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9), dh-python, openstack-pkg-tools (>= 52~), python-all, python-pbr (>= 1.8), python-setuptools,
 python-sphinx, python3-all, python3-pbr (>= 1.8), python3-setuptools,
Build-Depends-Indep: python-testscenarios,
               python3-testscenarios,
               python-enum34,
               python-eventlet (>= 0.18.2),
               python-fixtures,
               python-mock,
               python-netaddr (>= 0.7.13),
               python-neutron-lib (>= 1.1.0),
               python-oslo.i18n (>= 2.1.0),
               python-oslo.log (>= 3.11.0),
               python-oslo.serialization (>= 1.10.0),
               python-oslo.service (>= 1.10.0),
               python-oslo.utils (>= 3.18.0),
               python-openssl,
               python-oslosphinx,
               python-oslotest,
               python-requests-mock,
               python-six (>= 1.9.0),
               python-tempest,
               python-tempest-lib,
               python-tenacity (>= 3.2.1),
               python-testrepository,
               python-testtools,
               python-webtest,
               python3-fixtures,
               python3-mock,
               python3-netaddr (>= 0.7.13),
               python3-neutron-lib (>= 0.4.0),
               python3-oslo.i18n (>= 2.1.0),
               python3-oslo.log (>= 3.11.0),
               python3-oslo.serialization (>= 1.10.0),
               python3-oslo.service (>= 1.10.0),
               python3-oslo.utils (>= 3.17.0),
               python3-oslotest,
               python3-openssl,
               python3-tempest,
               python3-tempest-lib,
               python3-tenacity,
               python3-testrepository,
               python3-testtools,
               python3-webtest
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Testsuite: autopkgtest-pkg-python

Package: python-vmware-nsxlib
Architecture: all
Depends: python-enum34,
         python-eventlet (>= 0.18.2),
         python-neutron-lib (>= 1.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-six (>= 1.9.0),
         python-tenacity (>= 3.2.1),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-python-vmware-nsxlib-doc
Description: A common library that interfaces with VMware NSX (Python 2)
 Library that interfaces with vmware nsx.
 .
 This package installs the library for Python 2.

Package: python3-vmware-nsxlib
Architecture: all
Depends: python3-eventlet (>= 0.18.2),
         python3-neutron-lib (>= 1.1.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 3.11.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.service (>= 1.10.0),
         python3-oslo.utils (>= 3.18.0),
         python3-six (>= 1.9.0),
         python3-tenacity (>= 3.2.1),
         python3-openssl,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-python-vmware-nsxlib-doc
Description: A common library that interfaces with VMware NSX (Python 3)
 Library that interfaces with vmware nsx.
 .
 This package installs the library for Python 3.

Package: python-vmware-nsxlib-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: <insert up to 60 chars description> (common documentation)
 <insert long description, indented with spaces>
 .
 This is the common documentation package.

## python-vmware-nsxlib 12.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
netaddr>=0.7.18 # BSD
tenacity>=3.2.1 # Apache-2.0
six>=1.10.0 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pyOpenSSL>=16.2.0 # Apache-2.0

=== debian/changelog ===
python-vmware-nsxlib (12.0.1-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 15:41:52 -0500

=== debian/control ===
Source: python-vmware-nsxlib
Section: python
Priority: optional
Maintainer: chuck <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-coverage (>= 4.0),
 python-enum34 (>= 1.0.4),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.11.0),
 python-mock (>= 2.0.0),
 python-netaddr (>= 0.7.18),
 python-neutron-lib (>= 1.1.0),
 python-openssl (>= 16.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 1:3.2.0),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.10.0),
 python-subunit (>= 1.0.0),
 python-tempest (>= 1:17.1.0),
 python-tempest-lib,
 python-tenacity (>= 3.2.1),
 python-testresources (>= 2.0.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-webtest,
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 0.4.0),
 python3-openssl (>= 16.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-tempest-lib,
 python3-tenacity (>= 3.2.1),
 python3-testresources (>= 2.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webtest,
Standards-Version: 4.1.2
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Testsuite: autopkgtest-pkg-python

Package: python-vmware-nsxlib
Architecture: all
Depends:
 python-enum34 (>= 1.0.4),
 python-eventlet (>= 0.18.2),
 python-neutron-lib (>= 1.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-six (>= 1.10.0),
 python-tenacity (>= 3.2.1),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-python-vmware-nsxlib-doc,
Description: A common library that interfaces with VMware NSX (Python 2)
 Library that interfaces with vmware nsx.
 .
 This package installs the library for Python 2.

Package: python-vmware-nsxlib-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: <insert up to 60 chars description> (common documentation)
 <insert long description, indented with spaces>
 .
 This is the common documentation package.

Package: python3-vmware-nsxlib
Architecture: all
Depends:
 python3-eventlet (>= 0.18.2),
 python3-neutron-lib (>= 1.1.0),
 python3-openssl (>= 16.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-tenacity (>= 3.2.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-python-vmware-nsxlib-doc,
Description: A common library that interfaces with VMware NSX (Python 3)
 Library that interfaces with vmware nsx.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=python-vmware-nsxlib

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build __pycache__

override_dh_auto_install:
	python setup.py install --install-layout=deb \
                --root $(CURDIR)/debian/python-vmware-nsxlib
	set -e; python3 setup.py install --install-layout=deb \
                --root $(CURDIR)/debian/python3-vmware-nsxlib

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'vmware_nsxlib\.tests\.*'
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build

## python-vmware-nsxlib 13.0.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
netaddr>=0.7.18 # BSD
tenacity>=4.4.0 # Apache-2.0
six>=1.10.0 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pyOpenSSL>=17.1.0 # Apache-2.0

=== debian/changelog ===
python-vmware-nsxlib (13.0.2-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules: Switch to Python 3 only.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Dec 2018 08:49:49 -0500

=== debian/control ===
Source: python-vmware-nsxlib
Section: python
Priority: optional
Maintainer: chuck <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 0.4.0),
 python3-openssl (>= 17.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-reno (>= 2.5.0),
 python3-requests-mock (>= 1.2.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 4.4.0),
 python3-testresources (>= 2.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webtest,
Standards-Version: 4.1.2
Testsuite: autopkgtest-pkg-python

Package: python-vmware-nsxlib-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: <insert up to 60 chars description> (common documentation)
 <insert long description, indented with spaces>
 .
 This is the common documentation package.

Package: python3-vmware-nsxlib
Architecture: all
Depends:
 python3-eventlet (>= 0.18.2),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 1.1.0),
 python3-openssl (>= 17.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-tenacity (>= 4.4.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-vmware-nsxlib-doc,
Description: A common library that interfaces with VMware NSX (Python 3)
 Library that interfaces with vmware nsx.
 .
 This package installs the library for Python 3.

## python-vmware-nsxlib 15.0.6

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
oslosphinx>=4.7.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-vmware-nsxlib (15.0.6-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Mar 2020 11:23:58 -0400

python-vmware-nsxlib (15.0.4-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Feb 2020 16:04:29 -0500

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,22 @@
  debhelper (>= 10~),
  dh-python,
  openstack-pkg-tools (>= 52~),
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 4.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-coverage (>= 4.0),
+ python3-decorator (>= 4.3.0),
  python3-fixtures (>= 3.0.0),
- python3-hacking (>= 0.11.0),
  python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
  python3-neutron-lib (>= 0.4.0),
  python3-openssl (>= 17.1.0),
+ python3-openstackdocstheme (>= 1.18.1),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 1.24.0),
+ python3-oslo.serialization (>= 2.28.1),
+ python3-oslo.service (>= 1.31.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslosphinx (>= 4.7.0),
  python3-oslotest (>= 1:3.2.0),
@@ -33,7 +30,7 @@
  python3-stestr (>= 1.0.0),
  python3-subunit (>= 1.0.0),
  python3-tempest (>= 1:17.1.0),
- python3-tenacity (>= 4.4.0),
+ python3-tenacity (>= 5.0.1),
  python3-testresources (>= 2.0.0),
  python3-testrepository (>= 0.0.18),
  python3-testscenarios (>= 0.4),
@@ -56,18 +53,19 @@
 Package: python3-vmware-nsxlib
 Architecture: all
 Depends:
- python3-eventlet (>= 0.18.2),
+ python3-decorator (>= 4.3.0),
+ python3-eventlet (>= 0.24.1),
  python3-netaddr (>= 0.7.18),
  python3-neutron-lib (>= 1.1.0),
  python3-openssl (>= 17.1.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 1.24.0),
+ python3-oslo.serialization (>= 2.28.1),
+ python3-oslo.service (>= 1.31.0),
  python3-oslo.utils (>= 3.33.0),
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 4.0.0),
  python3-six (>= 1.10.0),
- python3-tenacity (>= 4.4.0),
+ python3-tenacity (>= 5.0.1),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=python-vmware-nsxlib

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build __pycache__

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 'vmware_nsxlib\.tests\.*'

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'vmware_nsxlib\.tests\.*'
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build

## python-vmware-nsxlib 16.1.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=4.0.0 # Apache-2.0

decorator>=4.3.0 # BSD
eventlet>=0.24.1 # MIT
netaddr>=0.7.18 # BSD
tenacity>=5.0.1 # Apache-2.0
six>=1.10.0 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization>=2.28.1 # Apache-2.0
oslo.service>=1.31.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pyOpenSSL>=17.1.0 # Apache-2.0

=== debian/changelog ===
python-vmware-nsxlib (16.1.2-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 10:33:05 -0400

python-vmware-nsxlib (16.0.8-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 09:04:12 +0000

python-vmware-nsxlib (16.0.6-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/copyright: Update upstream URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 15:06:01 -0400

python-vmware-nsxlib (16.0.2-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2020 14:45:38 -0400

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: chuck <zulcss@ubuntu.com>
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools (>= 52~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 4.0.0),
  python3-setuptools,
@@ -36,7 +36,10 @@
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  python3-webtest,
-Standards-Version: 4.1.2
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-vmware-nsxlib
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-vmware-nsxlib
+Homepage: https://opendev.org/x/vmware-nsxlib
 Testsuite: autopkgtest-pkg-python
 
 Package: python-vmware-nsxlib-doc

## python-vmware-nsxlib 17.2.1

=== debian/changelog ===
python-vmware-nsxlib (17.2.1-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 23 Mar 2021 00:50:57 +0000

python-vmware-nsxlib (17.2.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 10:34:20 -0400

python-vmware-nsxlib (17.1.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.
  * c/dontrol: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 21 Jan 2021 15:35:10 +0000

=== debian/control ===
--- 
+++ 
@@ -9,28 +9,29 @@
  python3-all,
  python3-pbr (>= 4.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-decorator (>= 4.3.0),
+ python3-decorator (>= 4.4.1),
  python3-fixtures (>= 3.0.0),
  python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
  python3-neutron-lib (>= 0.4.0),
- python3-openssl (>= 17.1.0),
+ python3-openssl (>= 19.1.0),
  python3-openstackdocstheme (>= 1.18.1),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
+ python3-oslo.i18n (>= 3.20.0),
+ python3-oslo.log (>= 4.2.1),
  python3-oslo.serialization (>= 2.28.1),
  python3-oslo.service (>= 1.31.0),
- python3-oslo.utils (>= 3.33.0),
+ python3-oslo.utils (>= 4.4.0),
  python3-oslosphinx (>= 4.7.0),
  python3-oslotest (>= 1:3.2.0),
  python3-reno (>= 2.5.0),
  python3-requests-mock (>= 1.2.0),
+ python3-sphinx-feature-classification (>= 1.0.0),
  python3-stestr (>= 1.0.0),
  python3-subunit (>= 1.0.0),
  python3-tempest (>= 1:17.1.0),
- python3-tenacity (>= 5.0.1),
+ python3-tenacity (>= 6.0.0),
  python3-testresources (>= 2.0.0),
  python3-testrepository (>= 0.0.18),
  python3-testscenarios (>= 0.4),
@@ -56,19 +57,19 @@
 Package: python3-vmware-nsxlib
 Architecture: all
 Depends:
- python3-decorator (>= 4.3.0),
+ python3-decorator (>= 4.4.1),
  python3-eventlet (>= 0.24.1),
  python3-netaddr (>= 0.7.18),
  python3-neutron-lib (>= 1.1.0),
- python3-openssl (>= 17.1.0),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
+ python3-openssl (>= 19.1.0),
+ python3-oslo.i18n (>= 3.20.0),
+ python3-oslo.log (>= 4.2.1),
  python3-oslo.serialization (>= 2.28.1),
  python3-oslo.service (>= 1.31.0),
- python3-oslo.utils (>= 3.33.0),
+ python3-oslo.utils (>= 4.4.0),
  python3-pbr (>= 4.0.0),
  python3-six (>= 1.10.0),
- python3-tenacity (>= 5.0.1),
+ python3-tenacity (>= 6.0.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-vmware-nsxlib 17.3.0

=== debian/changelog ===
python-vmware-nsxlib (17.3.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 21 Jul 2021 21:24:45 +0000

python-vmware-nsxlib (17.3.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 15:41:16 -0400

## python-vmware-nsxlib 17.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=4.0.0 # Apache-2.0

decorator>=4.4.1 # BSD
eventlet>=0.24.1 # MIT
netaddr>=0.7.18 # BSD
tenacity>=6.0.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=4.2.1 # Apache-2.0
oslo.serialization>=2.28.1 # Apache-2.0
oslo.service>=1.31.0 # Apache-2.0
oslo.utils>=4.4.0 # Apache-2.0
pyOpenSSL>=19.1.0 # Apache-2.0

=== debian/changelog ===
python-vmware-nsxlib (17.4.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 15:56:05 -0500

python-vmware-nsxlib (17.3.3-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 15:21:44 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: chuck <zulcss@ubuntu.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/vmware-nsxlib/vmware-nsxlib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-vmware-nsxlib 19.1.1

=== requirements.txt ===
--- 
+++ 
@@ -9,8 +9,10 @@
 netaddr>=0.7.18 # BSD
 tenacity>=6.0.0 # Apache-2.0
 oslo.i18n>=3.20.0 # Apache-2.0
-oslo.log>=4.2.1 # Apache-2.0
+oslo.log>=4.2.1;python_version=='3.6'
+oslo.log>=4.2.1;python_version=='3.7'
+oslo.log>=4.6.0;python_version=='3.8'
 oslo.serialization>=2.28.1 # Apache-2.0
 oslo.service>=1.31.0 # Apache-2.0
 oslo.utils>=4.4.0 # Apache-2.0
-pyOpenSSL>=19.1.0 # Apache-2.0
+pyOpenSSL>=20.0.0 # Apache-2.0

=== debian/changelog ===
python-vmware-nsxlib (19.1.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:46:02 -0400

python-vmware-nsxlib (19.0.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 14:46:48 -0400

python-vmware-nsxlib (17.4.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 17:10:30 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
  python3-neutron-lib (>= 0.4.0),
- python3-openssl (>= 19.1.0),
+ python3-openssl (>= 20.0.0),
  python3-openstackdocstheme (>= 1.18.1),
  python3-oslo.i18n (>= 3.20.0),
  python3-oslo.log (>= 4.2.1),
@@ -37,8 +37,7 @@
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  python3-webtest,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-vmware-nsxlib
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-vmware-nsxlib
 Homepage: https://opendev.org/x/vmware-nsxlib
 Testsuite: autopkgtest-pkg-python
@@ -61,7 +60,7 @@
  python3-eventlet (>= 0.24.1),
  python3-netaddr (>= 0.7.18),
  python3-neutron-lib (>= 1.1.0),
- python3-openssl (>= 19.1.0),
+ python3-openssl (>= 20.0.0),
  python3-oslo.i18n (>= 3.20.0),
  python3-oslo.log (>= 4.2.1),
  python3-oslo.serialization (>= 2.28.1),

## python-vmware-nsxlib 19.2.3

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
+cryptography
 pbr>=4.0.0 # Apache-2.0
 
 decorator>=4.4.1 # BSD

=== debian/changelog ===
python-vmware-nsxlib (19.2.3-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 23 Feb 2023 16:42:57 +0000

python-vmware-nsxlib (19.2.3-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:33:01 -0500

## python-vmware-nsxlib 19.4.0

=== requirements.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 oslo.i18n>=3.20.0 # Apache-2.0
 oslo.log>=4.2.1;python_version=='3.6'
 oslo.log>=4.2.1;python_version=='3.7'
-oslo.log>=4.6.0;python_version=='3.8'
+oslo.log>=5.0.0;python_version=='3.8'
 oslo.serialization>=2.28.1 # Apache-2.0
 oslo.service>=1.31.0 # Apache-2.0
 oslo.utils>=4.4.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
sphinx_feature_classification>=1.0.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0
testresources>=2.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-vmware-nsxlib (19.4.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 16:56:36 +0000

python-vmware-nsxlib (19.4.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:23:10 -0400

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,13 @@
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-export PYBUILD_NAME=python-vmware-nsxlib
+export PYBUILD_NAME=vmware_nsxlib
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
+	dh_clean -O--buildsystem=pybuild
 	rm -rf .testrepository build __pycache__
 
 override_dh_auto_install:
@@ -24,5 +24,5 @@
 endif
 
 override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
+	dh_clean -O--buildsystem=pybuild
 	rm -rf .testrepository build
